package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 保养项目信息对象 dms_base_maint_project
 * 
 * @author zangch
 * @date 2024-09-23
 */
public class DmsBaseMaintProject extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long maintProjectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String maintProjectName;

    /** 项目描述 */
    @Excel(name = "项目描述")
    private String maintProjectDesc;

    /** 生效标识：1-生效；0-失效 */
    @Excel(name = "生效标识：1-生效；0-失效")
    private String activeFlag;

    private Long maintStationId;

    public Long getMaintStationId() {
        return maintStationId;
    }

    public void setMaintStationId(Long maintStationId) {
        this.maintStationId = maintStationId;
    }

    public void setMaintProjectId(Long maintProjectId)
    {
        this.maintProjectId = maintProjectId;
    }

    public Long getMaintProjectId() 
    {
        return maintProjectId;
    }
    public void setMaintProjectName(String maintProjectName) 
    {
        this.maintProjectName = maintProjectName;
    }

    public String getMaintProjectName() 
    {
        return maintProjectName;
    }
    public void setMaintProjectDesc(String maintProjectDesc) 
    {
        this.maintProjectDesc = maintProjectDesc;
    }

    public String getMaintProjectDesc() 
    {
        return maintProjectDesc;
    }
    public void setActiveFlag(String activeFlag)
    {
        this.activeFlag = activeFlag;
    }

    public String getActiveFlag()
    {
        return activeFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("maintProjectId", getMaintProjectId())
            .append("maintProjectName", getMaintProjectName())
            .append("maintProjectDesc", getMaintProjectDesc())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("maintStationId", getMaintStationId())
            .toString();
    }
}
